<!DOCTYPE html>
<html lang="en"
      xmlns="http://www.w3.org/1999/xhtml"
      xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <thymeleaf th:fragment="meta_script_link" th:remove="tag">
        <meta charset="UTF-8"/>
        <meta name="_csrf" th:content="${_csrf.token}"/>
        <meta name="_csrf_header" th:content="${_csrf.headerName}"/>
        <script src="/webjars/bootstrap/5.2.3/js/bootstrap.min.js"></script>
        <link rel="stylesheet" href="/webjars/bootstrap/5.2.3/css/bootstrap.min.css"/>
        <link rel="stylesheet" th:href="@{/style/tenantStyle.css}"/>
    </thymeleaf>
</head>
<body>

<header th:fragment="header" class="pb-3">
    <nav class="navbar navbar-dark bg-dark navbar-expand-lg">
        <div class="container">
            <a class="navbar-brand" th:href="@{/}"
               th:text="${tenant == null} ? 'Admin' : ${tenant.substring(0, 1).toUpperCase() + tenant.substring(1)}"></a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse" data-bs-target="#navbarNav"
                    aria-controls="navbarNav" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarNav">
                <ul class="navbar-nav me-auto">

                    <!-- --------------------------------------------- -->
                    <!-- All of the public information for this tenant -->
                    <!-- --------------------------------------------- -->
                    <th:block th:if="${tenant != null}">
                        <li class="nav-item">
                            <a class="nav-link" th:href="@{/posts}" th:classappend="${page == 'posts'} ? 'active' : ''">Posts</a>
                        </li>

                        <!-- ----------------------------------------------- -->
                        <!-- All pages that require the user to be signed in -->
                        <!-- ----------------------------------------------- -->
                        <th:block sec:authorize="isAuthenticated()">
                            <li class="nav-item">
                                <a class="nav-link" th:href="@{/add_post}"
                                   th:classappend="${page == 'add_post'} ? 'active' : ''">Add Post</a>
                            </li>
                        </th:block>
                    </th:block>

                    <!-- --------------------------------- -->
                    <!-- All of the general administration -->
                    <!-- --------------------------------- -->
                    <th:block th:if="${tenant == null}" sec:authorize="hasRole('ADMINISTRATOR')">
                        <li class="nav-item">
                            <a class="nav-link" th:href="@{/top_secret}"
                               th:classappend="${page == 'top_secret'} ? 'active' : ''">Top Secret</a>
                        </li>
                    </th:block>

                </ul>
                <ul class="navbar-nav ms-auto">
                    <li class="nav-item me-2 pt-2" sec:authorize="isAuthenticated()">
                        <span class="navbar-text">Welcome, <span sec:authentication="name"></span>!</span>
                    </li>
                    <li sec:authorize="isAuthenticated()">
                        <form class="d-flex" th:action="@{/logout}" th:method="POST">
                            <button type="submit" class="btn btn-secondary">Sign out</button>
                        </form>
                    </li>
                    <li class="nav-item" sec:authorize="!isAuthenticated()">
                        <a class="nav-link" th:href="@{/login}" th:classappend="${page == 'login'} ? 'active' : ''">Sign
                            in</a>
                    </li>
                </ul>
            </div>
        </div>
    </nav>
</header>

</body>
</html>
